Subject: Suppressing the user.name warning

From: Jay Levitt <[email-masked]>
Date: Wed, 14 Dec 2011 16:50:21 -0500

Is there a way to suppress the user.name/email warning without configuring 
them in .gitconfig? I want to pass them in SSH as GIT_AUTHOR_NAME and 
GIT_AUTHOR_EMAIL; git uses the values, but still warns me every time.

Seems like if git can get that data in any form, it shouldn't complain about 
not having it.  No?

Jay Levitt